Bug 25012 - Fix class on OPAC view link in staff detail page
Summary: Fix class on OPAC view link in staff detail page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-27 23:45 UTC by Katrin Fischer
Modified: 2020-05-11 19:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25012: Fix class on OPAC view link in staff detail page (1.75 KB, patch)
2020-03-27 23:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25012: Fix class on OPAC view link in staff detail page (1.80 KB, patch)
2020-03-29 02:00 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25012: Fix class on OPAC view link in staff detail page (1.87 KB, patch)
2020-03-31 11:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-27 23:45:45 UTC

    
Comment 1 Katrin Fischer 2020-03-27 23:49:38 UTC
Created attachment 102026 [details] [review]
Bug 25012: Fix class on OPAC view link in staff detail page

Probably a copy & paste error: the OPAC view link on the staff
detail page currently has the class succeeding_entry_note.

This patch changes it to opac_view to allow for independent
styling of the link.

Note: The link will only be visible when OPACBaseURL is set.

To test:
- Use the element inspector or check the source code for
  the class used on the OPAC view link on the staff detail page
- Apply patch
- Repeat and verify that the class has changed to opac_view
Comment 2 David Roberts 2020-03-29 01:57:28 UTC
Test on my test environment - works exactly as promised.
Comment 3 David Roberts 2020-03-29 02:00:17 UTC
Created attachment 102045 [details] [review]
Bug 25012: Fix class on OPAC view link in staff detail page

Probably a copy & paste error: the OPAC view link on the staff
detail page currently has the class succeeding_entry_note.

This patch changes it to opac_view to allow for independent
styling of the link.

Note: The link will only be visible when OPACBaseURL is set.

To test:
- Use the element inspector or check the source code for
  the class used on the OPAC view link on the staff detail page
- Apply patch
- Repeat and verify that the class has changed to opac_view

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>
Comment 4 Katrin Fischer 2020-03-29 11:33:56 UTC
Thx David!
Comment 5 Jonathan Druart 2020-03-31 11:11:35 UTC
Created attachment 102122 [details] [review]
Bug 25012: Fix class on OPAC view link in staff detail page

Probably a copy & paste error: the OPAC view link on the staff
detail page currently has the class succeeding_entry_note.

This patch changes it to opac_view to allow for independent
styling of the link.

Note: The link will only be visible when OPACBaseURL is set.

To test:
- Use the element inspector or check the source code for
  the class used on the OPAC view link on the staff detail page
- Apply patch
- Repeat and verify that the class has changed to opac_view

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-04-03 13:24:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-28 21:02:36 UTC
Backported to 19.11.x branch for 19.11.06
Comment 8 Lucas Gass 2020-05-11 19:36:45 UTC
backported to 19.05.x for 19.05.11